aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorAlex <alex.corcoles@veecle.io>2026-03-01 11:51:04 +0100
committeralex <alex@pdp7.net>2026-03-01 10:51:41 +0000
commit0a09cc61a69318cc26ffbd3c7067ead289dce8e6 (patch)
tree5dee5398aa36720bb4ff81d43f5e90fd183999d7 /scripts
parentacf5d328e9700c756965866507dcdb34ac1baa5d (diff)
Add PaperWM install script
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/paperwm18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/paperwm b/scripts/paperwm
new file mode 100755
index 00000000..c05285b8
--- /dev/null
+++ b/scripts/paperwm
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -uex
+
+test -f ~/.cache/paperwmpaperwm.github.com.v145.shell-extension.zip || {
+ wget https://extensions.gnome.org/extension-data/paperwmpaperwm.github.com.v145.shell-extension.zip -O ~/.cache/paperwmpaperwm.github.com.v145.shell-extension.zip
+}
+
+test -d ~/.local/share/gnome-shell/extensions/paperwm@paperwm.github.com || {
+ mkdir -p ~/.local/share/gnome-shell/extensions/paperwm@paperwm.github.com
+ cd ~/.local/share/gnome-shell/extensions/paperwm@paperwm.github.com
+ unzip ~/.cache/paperwmpaperwm.github.com.v145.shell-extension.zip
+}
+
+dconf load / <<EOF
+[org/gnome/shell]
+enabled-extensions=['paperwm@paperwm.github.com']
+EOF